Bug 1193708 - cryptic error message in ceph interactive mode
Summary: cryptic error message in ceph interactive mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Unclassified
Version: 1.2.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: ceph-eng-bugs
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-17 22:51 UTC by Federico Lucifredi
Modified: 2017-02-06 22:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:25:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 11459 0 None None None Never
Red Hat Knowledge Base (Solution) 2909131 0 None None None 2017-02-06 22:46:54 UTC
Red Hat Product Errata RHBA-2016:1755 0 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Description Federico Lucifredi 2015-02-17 22:51:39 UTC
Description of problem:

after entering interactive mode with 'ceph'

ceph> exit
no valid command found; 10 closest matches:
....[blah].....

Expected results:
recommend command "quit"

Comment 1 John Poelstra 2015-02-19 19:03:17 UTC
probably need a bug upstream

Comment 2 Ken Dreyer (Red Hat) 2015-04-23 15:47:22 UTC
I'm guessing this is still unresolved upstream, so I've filed a ticket in Redmine. Re-targeting this bug to 2.0 in the meantime; please feel free to re-target if necessary

Comment 4 Kefu Chai 2015-06-16 02:45:30 UTC
this is not a critical bug fix, so it will be included in the next release (Infernalis).

Comment 6 Harish NV Rao 2016-05-03 10:56:14 UTC
Issue resolved. No error message found when 'exit' was issued.

[ubuntu@magna003 ~]$ sudo ceph
ceph> exit
[ubuntu@magna003 ~]$ sudo ceph
ceph> q
[ubuntu@magna003 ~]$ sudo ceph
ceph> quit

[ubuntu@magna003 ~]$ sudo ceph -v
ceph version 10.2.0-1.el7cp (3a9fba20ec743699b69bd0181dd6c54dc01c64b9)

Comment 8 errata-xmlrpc 2016-08-23 19:25:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1755


Note You need to log in before you can comment on or make changes to this bug.